<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::interactionModel Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html">interactionModel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::interactionModel Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0a50cd8882b7db303cb0f47ba154a790"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#a0a50cd8882b7db303cb0f47ba154a790">getInteractionModelCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:a0a50cd8882b7db303cb0f47ba154a790"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5fcc14286ca89bed7895457eefe05db3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#a5fcc14286ca89bed7895457eefe05db3">TAG</a> {&quot;InteractionModel&quot;}</td></tr>
<tr class="memdesc:a5fcc14286ca89bed7895457eefe05db3"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a5fcc14286ca89bed7895457eefe05db3">More...</a><br /></td></tr>
<tr class="separator:a5fcc14286ca89bed7895457eefe05db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c781bb98176fc9f24d9aa89b2cd94cd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#a5c781bb98176fc9f24d9aa89b2cd94cd">NAMESPACE</a> = &quot;InteractionModel&quot;</td></tr>
<tr class="memdesc:a5c781bb98176fc9f24d9aa89b2cd94cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace for this capability agent.  <a href="#a5c781bb98176fc9f24d9aa89b2cd94cd">More...</a><br /></td></tr>
<tr class="separator:a5c781bb98176fc9f24d9aa89b2cd94cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e6d477aa0e0eeafdd9c47e76052114"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#aa3e6d477aa0e0eeafdd9c47e76052114">NEW_DIALOG_REQUEST</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#a5c781bb98176fc9f24d9aa89b2cd94cd">NAMESPACE</a>, &quot;NewDialogRequest&quot;}</td></tr>
<tr class="memdesc:aa3e6d477aa0e0eeafdd9c47e76052114"><td class="mdescLeft">&#160;</td><td class="mdescRight">The NewDialogRequest directive signature.  <a href="#aa3e6d477aa0e0eeafdd9c47e76052114">More...</a><br /></td></tr>
<tr class="separator:aa3e6d477aa0e0eeafdd9c47e76052114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714f2d99a157d8609c667ec983badd45"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#a714f2d99a157d8609c667ec983badd45">INTERACTION_MODEL_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a714f2d99a157d8609c667ec983badd45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb9e80e494a9ec0999f826d2d6606251"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#abb9e80e494a9ec0999f826d2d6606251">INTERACTION_MODEL_CAPABILITY_INTERFACE_NAME</a> = &quot;InteractionModel&quot;</td></tr>
<tr class="memdesc:abb9e80e494a9ec0999f826d2d6606251"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interaction Model interface name.  <a href="#abb9e80e494a9ec0999f826d2d6606251">More...</a><br /></td></tr>
<tr class="separator:abb9e80e494a9ec0999f826d2d6606251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad020a829fb29941cfadcad4dd427966a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#ad020a829fb29941cfadcad4dd427966a">INTERACTION_MODEL_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:ad020a829fb29941cfadcad4dd427966a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interaction Model interface version.  <a href="#ad020a829fb29941cfadcad4dd427966a">More...</a><br /></td></tr>
<tr class="separator:ad020a829fb29941cfadcad4dd427966a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbec9dea6271153e8ec32072a9ac0e38"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#afbec9dea6271153e8ec32072a9ac0e38">PAYLOAD_KEY_DIALOG_REQUEST_ID</a> = &quot;dialogRequestId&quot;</td></tr>
<tr class="memdesc:afbec9dea6271153e8ec32072a9ac0e38"><td class="mdescLeft">&#160;</td><td class="mdescRight">NewDialogRequestID payload key.  <a href="#afbec9dea6271153e8ec32072a9ac0e38">More...</a><br /></td></tr>
<tr class="separator:afbec9dea6271153e8ec32072a9ac0e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0a50cd8882b7db303cb0f47ba154a790"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a50cd8882b7db303cb0f47ba154a790">&#9670;&nbsp;</a></span>getInteractionModelCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a>&gt; alexaClientSDK::capabilityAgents::interactionModel::getInteractionModelCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the Interaction Model capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The Interaction Model capability configuration. </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="abb9e80e494a9ec0999f826d2d6606251"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb9e80e494a9ec0999f826d2d6606251">&#9670;&nbsp;</a></span>INTERACTION_MODEL_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::interactionModel::INTERACTION_MODEL_CAPABILITY_INTERFACE_NAME = &quot;InteractionModel&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interaction Model interface name. </p>

</div>
</div>
<a id="a714f2d99a157d8609c667ec983badd45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a714f2d99a157d8609c667ec983badd45">&#9670;&nbsp;</a></span>INTERACTION_MODEL_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::interactionModel::INTERACTION_MODEL_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Interaction Model capability constants Interaction Model interface type </p>

</div>
</div>
<a id="ad020a829fb29941cfadcad4dd427966a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad020a829fb29941cfadcad4dd427966a">&#9670;&nbsp;</a></span>INTERACTION_MODEL_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::interactionModel::INTERACTION_MODEL_CAPABILITY_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interaction Model interface version. </p>

</div>
</div>
<a id="a5c781bb98176fc9f24d9aa89b2cd94cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c781bb98176fc9f24d9aa89b2cd94cd">&#9670;&nbsp;</a></span>NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::interactionModel::NAMESPACE = &quot;InteractionModel&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The namespace for this capability agent. </p>

</div>
</div>
<a id="aa3e6d477aa0e0eeafdd9c47e76052114"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e6d477aa0e0eeafdd9c47e76052114">&#9670;&nbsp;</a></span>NEW_DIALOG_REQUEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::interactionModel::NEW_DIALOG_REQUEST {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html#a5c781bb98176fc9f24d9aa89b2cd94cd">NAMESPACE</a>, &quot;NewDialogRequest&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The NewDialogRequest directive signature. </p>

</div>
</div>
<a id="afbec9dea6271153e8ec32072a9ac0e38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbec9dea6271153e8ec32072a9ac0e38">&#9670;&nbsp;</a></span>PAYLOAD_KEY_DIALOG_REQUEST_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::interactionModel::PAYLOAD_KEY_DIALOG_REQUEST_ID = &quot;dialogRequestId&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>NewDialogRequestID payload key. </p>

</div>
</div>
<a id="a5fcc14286ca89bed7895457eefe05db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fcc14286ca89bed7895457eefe05db3">&#9670;&nbsp;</a></span>TAG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::interactionModel::TAG {&quot;InteractionModel&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
